Bug 951927 - There are useless controls in "Compare Metrics" window
There are useless controls in "Compare Metrics" window
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.5
Unspecified Unspecified
medium Severity medium (vote)
: GA
: RHQ 4.10
Assigned To: Jay Shaughnessy
Mike Foley
:
: 924293 (view as bug list)
Depends On:
Blocks: 975471
  Show dependency treegraph
 
Reported: 2013-04-14 10:09 EDT by Ilya Maleev
Modified: 2014-10-13 07:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-23 08:32:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ilya Maleev 2013-04-14 10:09:38 EDT
Actions:
1. Select any auto-group in resource tree.
2. Go to Monitoring - Tables
3. Select several children in the bottom part of the page
4. Click the "Compare Metrics" button
5. Try to use any control in the window appeared (apply the changed metric display range or get current values)

Actual result:
5. These controls don't work at all - nothing happens when they are used.

It's not good to display the things which don't work.
Comment 1 Heiko W. Rupp 2013-06-17 15:58:48 EDT
Those need to be transferred to GWT as well.
Comment 2 Heiko W. Rupp 2013-06-18 10:30:10 EDT
Ilya,
we have transitioned a good part of the UI to GWT - this specific page will be addressed when we migrate it as well.
Comment 3 Mike Thompson 2013-09-15 18:45:38 EDT
*** Bug 924293 has been marked as a duplicate of this bug. ***
Comment 4 Jay Shaughnessy 2013-11-14 17:29:31 EST
I'm going to gwt-ify this now on the march towards portal war independence.
Comment 5 Jay Shaughnessy 2013-11-20 17:10:54 EST
master commit 70c5afe137711b60e8c179bc58949f6fe045c520
Auhor: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Wed Nov 20 17:08:38 2013 -0500

 Second attempt.  An impl that uses a grouping field to provide a more
 concise, single grid solution.  People can decide which they like best and
 I'll remove the loser later.
Comment 6 Jay Shaughnessy 2013-11-22 20:26:29 EST
master commit 35c901b6e74bcafa140eb08a97c0fb62a97b9447
Auhor: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Fri Nov 22 13:45:22 2013 -0500

 subsequent commit:
 - return to a single "Compare Metrics" button that now
   invokes the new view, relegating the old portal war view,
   and the 1st proposed new view to the trash heap.
 - remove the footer on the new view because total rows
   does not make sense for the grouped view (and there is no
   way currently to tell Table to just keep the footer and
   hide "Total Rows".
Comment 7 Heiko W. Rupp 2014-04-23 08:32:10 EDT
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.

Note You need to log in before you can comment on or make changes to this bug.